﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Runtime.InteropServices;

namespace PDFReader_Demo_CSharp.Interface.Windows
{
    class WindowsAPI
    {
        [DllImport("gdi32.dll")]
        public static extern int GetDeviceCaps(IntPtr hdc, int Index);

        [DllImport("user32.dll")]
        public static extern int CreateCaret(IntPtr hWnd, IntPtr hBimap, int nWidth, int nHeight);

        [DllImport("user32.dll")]
        public static extern bool SetCaretPos(int X, int Y);

        [DllImport("user32.dll")]
        public static extern bool ShowCaret(IntPtr hWnd);

        [DllImport("user32.dll")]
        public static extern bool HideCaret(IntPtr hWnd);

        [DllImport("Gdi32.dll")]
        public static extern IntPtr SelectObject(IntPtr hdc, IntPtr obj);

        [DllImport("Gdi32.dll")]
        public static extern IntPtr CreatePen(int style, int width, int color);

        [DllImport("Gdi32.dll")]
        public static extern bool Rectangle(IntPtr hdc, int left, int top, int right, int bottom);
    }
}
